%global fontname oflb-averia
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.01
Release:        1.20120214%{?dist}
Summary:        Averia font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/averia
Source0:        http://openfontlibrary.org/assets/downloads/averia/dc61396d0f8e3b0130933b1227022c20/averia.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Avería is a Unicode typeface family created from the average of all fonts on the
computer of the creator, Dan Sayers. The process is described at
http://iotic.com/averia/. All metrics are the result of an averaging process.

%prep
%setup -q -c %{name}-%{version}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc *.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Sat Feb 07 2015 Carlos Morel-Riquelme <empateinfinito@fedoraproject.org> - 1.01-1.20120214
- Update version from FONTLOG.txt
- Fixed as per review comments

* Thu Feb 05 2015 Carlos Morel-Riquelme <empateinfinito@fedoraproject.org> - 0.1-1.20120214
- Initial version
- Add metainfo file to show this font in gnome-software

